# filter

    container filter(container, flags)

Returns a copy of container without `null`, and optionally false, values.

Note! A dictionary container is filtered by the entry values, not keys as most other functions.

Flags:

Flag | Description
--- | ---
`"n"` | Filter out `null` values, the default
`"f"` | Filter out values that evaluate to false

## Parameters

1. container — array or dictionary to filter.
2. flags — optional text where each character is a flag.

## Returns

- a filtered copy of container.